#! /usr/bin/python

from pylab import *

deg = linspace(0, 360, 361)
wt = radians(deg)

r1 = 1 + 0.5 * cos(6 * wt - pi /2)
r2 = 1 + 0.5 * cos(6 * wt + pi / 2)
r3 = 0.4

x1 = r1 * cos(wt)
y1 = r1 * sin(wt)

x2 = r2 * cos(wt)
y2 = r2 * sin(wt)

x3 = r3 * cos(wt)
y3 = r3 * sin(wt)

rc('text', usetex = True)
rc('font', family='serif')

figure(0, figsize = (6, 6))
plot(x1, y1, 'm')
plot(x2, y2, 'r')
plot(x3, y3, 'y')
xlabel('$x$')
ylabel('$y$')
xticks((-2, -1, 0, 1, 2))
yticks((-2, -1, 0, 1, 2))
xlim(-2, 2)
ylim(-2, 2)
title(r"Cveti\'c")
savefig('cvetic-2.pdf')

